Home | All Classes | Grouped Classes | Index | Search

# CL_LineMath::distance_to_line

Return the distance from a point to a line.

    	float distance_to_line(
    		const CL_Pointf& point, float* line);

    	float distance_to_line(
    		float x, float y, float* line);

Parameters:

float x
  X coordinate of point.
float y
  Y coordinate of point.
CL_Pointf point
  The point.
float *line
  Pointer to float array with elements {x1,y1,x2,y2}.

See also:

CL_LineMath | CL_Point | CL_Pointf

Questions or comments, write to the ClanLib mailing list.